> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deals

> List deals and filter them by custom properties.
            
To filter deals on custom property, just add the property with its exact value as a query parameter:  
`myCustomProp=ThisIsAValue`  
This will return the deals where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/deals
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/deals:
    get:
      tags:
        - Deals
      summary: List deals
      description: "List deals and filter them by custom properties.\r\n            \r\nTo filter deals on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the deals where myCustomProp exactly matches the provided value."
      parameters:
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first deal
            to be returned.
          schema:
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          description: The maximum number of deals to be returned. The default is 20.
          schema:
            type: integer
            format: int32
            default: 20
        - name: sort_by
          in: query
          description: The property used to sort the deals by. The default is CreationDate.
          schema:
            type: string
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned deals. Accepted values: ASC,
            DESC. The default is DESC.
          schema:
            type: string
      responses:
        '200':
          description: Deals returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DealListResponseDto'
      security:
        - oauth2:
            - Deal.View
            - Api
components:
  schemas:
    DealListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DealDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    DealDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        contactId:
          type: integer
          format: int32
        sourcePartnerId:
          type: integer
          format: int32
          nullable: true
        stage:
          type: string
          nullable: true
        creationDate:
          type: string
          format: date-time
        totalAmount:
          type: number
          format: double
          nullable: true
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        sourceLeadId:
          type: integer
          format: int32
          nullable: true
        status:
          $ref: '#/components/schemas/DealStatus'
        partners:
          type: array
          items:
            $ref: '#/components/schemas/DealPartnerRoleDto'
          nullable: true
        contractStartDate:
          type: string
          format: date-time
          nullable: true
        contractEndDate:
          type: string
          format: date-time
          nullable: true
        ownerUserId:
          type: integer
          format: int32
          nullable: true
        owner:
          $ref: '#/components/schemas/UserDto'
        closeDate:
          type: string
          format: date-time
          nullable: true
        customerId:
          type: integer
          format: int32
          nullable: true
        currency:
          type: string
          nullable: true
      additionalProperties: false
    DealStatus:
      enum:
        - Unknown
        - Pending
        - Accepted
        - Refused
        - Expired
      type: string
    DealPartnerRoleDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dealId:
          type: integer
          format: int32
        userPartnerOwnerId:
          type: integer
          format: int32
          nullable: true
        userPartnerOwnerName:
          type: string
          nullable: true
        userPartnerFirstName:
          type: string
          nullable: true
        userPartnerLastName:
          type: string
          nullable: true
        userPartnerEmail:
          type: string
          nullable: true
        userPartnerJobTitle:
          type: string
          nullable: true
        userPartnerPhoneNumber:
          type: string
          nullable: true
        userPartnerLinkedInProfileUrl:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
        partnerTypeId:
          type: integer
          format: int32
          nullable: true
        creationDate:
          type: string
          format: date-time
        partnerName:
          type: string
          nullable: true
        partnerTypeName:
          type: string
          nullable: true
      additionalProperties: false
    UserDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        email:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false

````